services:
    overpass.api:
        class: Violution\MaterialMap\Classes\Input\OverpassApi
    Violution\MaterialMap\Classes\Controller\MapServiceController:
        public: true
        arguments:
            - '@contao.framework'
            - '@?logger'
    Violution\MaterialMap\Classes\Controller\CoordinatesServiceController:
        public: true
        arguments:
            - '@overpass.api'
    Violution\MaterialMap\EventListener\DataContainer\CoordinatesOptionsListener:
        tags:
            - {name: contao.callback, table: tl_kartendaten, target: fields.coordinates.options, priority: 100 }
        arguments:
            - '@overpass.api'
    Violution\MaterialMap\EventListener\VioMaterialGroupSaveCallback:
        tags:
            - { name: contao.callback, table: tl_materialgruppe, target: fields.parent.save,  priority: 100 }
